Class Specialization
Sampler
Outputs m-tuples beginning at a position of difference cover DC.

Pipe

Sampler

Pipe<TInput, Sampler<m, DC[, TPacked]> >
Include Headers
seqan/pipe.h
Parameters

TInput | The type of the pipeline module this module reads from.
m | The tuple size.
DC | A set of non-negative integers less than m. DC[0] contains the size of the set and DC[1..DC[0]] contains the distinct and ordered elements.
TPack | Specifies the packing method of the tuples (void = no packing). Default: Pack.

Remarks
The output type is a Pair of size type and Tuple of input elements and length m (i.e. Pair<Size<TInput>::Type, Tuple<Value<TInput>::Type, m, TPack> >).
The first output field contains the number of remaining pipe elements. The m-tuple in the second field contains the first m elements of them. The m-tuples are substrings of the input stream beginning at positions i, with (n-i) mod m is element of the set DC (n is the input stream length).
Specialization of
Pipe
Member Functions

Pipe | Constructor (Pipe)

Functions

assign | Assigns one object to another object. (Pipe)
atEnd | Determines whether an iterator is at the end position. (Pipe)
beginRead | Initiates a read process. (Pipe)
endRead | Terminates a read process. (Pipe)
front | Gets the first element of the remaining stream. (Pipe)
length | The number of items/characters. (Pipe)
pop | Pops the first element of the remaining stream. (Pipe)

Examples
The set {1,2,4} is represented by int DC[] = { 3, 1, 2, 4 }.
See Also
Bit Packed Tuple
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00